{% extends 'base.html.twig' %}

{% block body %}

    <ul class="nav nav-pills">
        <a class="btn btn-primary btn-lg active" href="{{ path('homepage', {_locale: 'ru_RU'}) }}">
            {% trans %}lang.In Russian{% endtrans %}
        </a>
        <a class="btn btn-primary btn-lg active" href="{{ path('homepage', {_locale: 'en_US'}) }}">
            {% trans %}lang.In English{% endtrans %}
        </a>
        <a class="btn btn-default" href="{{ path('fos_user_security_login') }}">{{ login.content }}</a>
        <a class="btn btn-default" href="{{ path('fos_user_registration_register') }}">{{ register.content }}</a>
    </ul>
    <div class="jumbotron">
        <div class="container">
            <h1>{% trans with {'%name%': user } %}Hello %name%{% endtrans %}</h1>
            <h2>{{ title.content }}</h2>

            <ul class="list-group">
                {% for category in categories %}
                    <li class="list-group-item"><a
                                href="{{ path('app_default_translate', {locale: loc, id: category.id }) }}">{{ category.translate('ru').phrase }}</a>
                    </li>
                {% endfor %}
            </ul>

            {% if user != null %}
                <h3>{{ you_can_add.content }}</h3>
                {{ form_start(form) }}
                {{ form_widget(form) }}
                {{ form_end(form) }}
            {% endif %}
        </div>
    </div>

    {#{% trans with {'%name%': 'Fabien'} from "app" %}Hello %name%{% endtrans %}#}
    {#{% trans with {'%name%': 'Fabien'} from "app" into "ru" %}Hello %name%{% endtrans %}#}
    {#{% transchoice count with {'%name%': 'Fabien'} from "app" %}#}
    {#{0} There are no apples|{1} There is one apple|]1,Inf] There are %count% apples#}
    {#{% endtranschoice %}#}

    {#{% transchoice 1 %}#}
    {#{0} There are no apples|{1} There is one apple |]1,Inf] There are %count% apples#}
    {#{% endtranschoice %}#}

{% endblock %}